function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import ConfigProvider from '../config-provider';
import TimePicker from './time-picker';
import RangePicker from './range-picker';
TimePicker.RangePicker = RangePicker;
export default ConfigProvider.config(TimePicker, {
  transform:
  /* istanbul ignore next */
  function transform(props, deprecated) {
    if ('defaultOpen' in props) {
      deprecated('defaultOpen', 'defaultVisible', 'TimePicker');

      var _props = props,
          defaultOpen = _props.defaultOpen,
          others = _objectWithoutProperties(_props, ["defaultOpen"]);

      props = _objectSpread({
        defaultVisible: defaultOpen
      }, others);
    }

    if ('open' in props) {
      deprecated('open', 'visible', 'TimePicker');

      var _props2 = props,
          open = _props2.open,
          _others = _objectWithoutProperties(_props2, ["open"]);

      props = _objectSpread({
        visible: open
      }, _others);
    }

    if ('onOpenChange' in props) {
      deprecated('onOpenChange', 'onVisibleChange', 'TimePicker');

      var _props3 = props,
          onOpenChange = _props3.onOpenChange,
          _others2 = _objectWithoutProperties(_props3, ["onOpenChange"]);

      props = _objectSpread({
        onVisibleChange: onOpenChange
      }, _others2);
    }

    return props;
  }
});